      subroutine gsmrks(n,x,y)
      real*4 x(n),y(n)
      character*4 cmarque
      INCLUDE 'Parametres.f'
c
      if (ipostscript.eq.1) then
        do i=1,n
          call gsmark(x(i),y(i))
        enddo 
      else
        if (sauve_graphic) return
        if (ipostscript.ne.-1.and.icoul_pend.ne.icoul_eff) then
          call ecriscoul(icoul_pend)
        endif
        mmmm = mod(iabs(marqueur_courant)-1,13) + 1
        goto (20,21,22,23,24,25,26,27,28,29,30,31,32) mmmm
  20    cmarque = ' Mp'
        lmarque = 3
        goto 8888
  21    cmarque = ' Mx'
        lmarque = 3
        goto 8888
  22    cmarque = ' Ms'
        lmarque = 3
        goto 8888
  23    if (marqueur_courant.gt.0) then
          cmarque = ' R'
          lmarque = 2
        else
          cmarque = ' R2'
          lmarque = 3
        endif
        goto 8888
  24    cmarque = ' r'
        lmarque = 2
        goto 8888
  25    cmarque = ' MC'
        lmarque = 3
        goto 8888
  26    cmarque = ' Mc'
        lmarque = 3
        goto 8888
  27    cmarque = ' Ml'
        lmarque = 3
        goto 8888
  28    cmarque = ' ML'
        lmarque = 3
        goto 8888
  29    cmarque = ' Mt'
        lmarque = 3
        goto 8888
  30    cmarque = ' MT'
        lmarque = 3
        goto 8888
  31    cmarque = ' Mt2'
        lmarque = 4
        goto 8888
  32    cmarque = ' MT2'
        lmarque = 4
        goto 8888
c
 8888   epep = .2*amin1(taille_x,taille_y)/19.
        if (ityp_ligne.ne.0.or.epep.ne.epais_ligne) 
     &     call ecrligne(epep,0,1)
        do i=1,n
          if (x(i).ge.x0_clip2.and.x(i).le.x1_clip2.and.
     &        y(i).ge.y0_clip2.and.y(i).le.y1_clip2) then
              xxxx = origine_x + facteur_en_x*X(i)
              yyyy = origine_y + facteur_en_y*Y(i)
              call ecriseconome(ilaser_file,xxxx,0,'bidon')
              call ecriseconome(ilaser_file,yyyy,1,'bidon')
              call ecriseconome(ilaser_file,taille_mark,lmarque,cmarque)
            endif
        enddo
        if (ityp_ligne.ne.0.or.epep.ne.epais_ligne) 
     &     call ecrligne(epais_ligne,ityp_ligne,1)
      endif
      end
